# Tomcat
server:
  port: 9901

# Spring
spring:
  application:
    # 应用名称
    name: dliip-patrol
  profiles:
    # 环境配置
    active: dev
  cloud:
    nacos:
      discovery:
        server-addr: 192.168.0.115:8848
        namespace: 69445dc4-9c24-4814-ac93-ff14f1438c36
        #server-addr: 192.168.0.114:8848
        #namespace: 744b9c6a-5855-44cf-b537-808c0166d8f5
      config:
        # 配置中心地址
        server-addr: ${spring.cloud.nacos.discovery.server-addr}
        namespace: ${spring.cloud.nacos.discovery.namespace}
        # 配置文件格式
        file-extension: yml
        group: DEFAULT_GROUP
        # 共享配置
        shared-configs:
          - dliip-patrol-${spring.profiles.active}.${spring.cloud.nacos.config.file-extension}
        #dev-llc

#        namespace: 6b358531-5084-4f9c-84f2-f732d0b2af39
  main:
    allow-bean-definition-overriding: true
    allow-circular-references: true
